import { fileURLToPath, URL } from 'node:url';

import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';
import VueI18nPlugin from '@intlify/unplugin-vue-i18n/vite';
import path from 'path';

// https://vitejs.dev/config/
export default defineConfig({
	base: '',
	plugins: [
		vue(),
		VueI18nPlugin({
			include: [path.resolve(__dirname, './src/locales/**')],
		}),
	],
	resolve: {
		alias: {
			'@': fileURLToPath(new URL('./src', import.meta.url)),
		}
	},
	build: {
		// https://rollupjs.org/configuration-options/
		rollupOptions: {
			output: {
				entryFileNames: 'assets/[name].js',
				assetFileNames: 'assets/sake.min[extname]',
			}
		}
	},
	define: {
		__VUE_I18N_FULL_INSTALL__: true,
		__VUE_I18N_LEGACY_API__: false,
		__INTLIFY_PROD_DEVTOOLS__: false,
	}
});
